#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pyxdg
Summary:	Python 2 implementations of freedesktop.org standards
Summary(pl.UTF-8):	Implementacje standardów freedesktop.org w języku Python 2
Name:		python-%{module}
Version:	0.25
Release:	2
License:	LGPL v2
Group:		Libraries/Python
Source0:	http://people.freedesktop.org/~takluyver/%{module}-%{version}.tar.gz
# Source0-md5:	bedcdb3a0ed85986d40044c87f23477c
URL:		http://freedesktop.org/Software/pyxdg
%{?with_python2:BuildRequires:	python-devel >= 1:2.6}
%{?with_python3:BuildRequires:	python3-devel >= 1:3.2}
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyXDG is a Python module to access freedesktop.org standards. The
package contains:

 - Implementation of the XDG-Base-Directory Standard
 - Implementation of the XDG-Desktop Standard
 - Implementation of the XDG-Menu Standard
 - Implementation of the XDG-Icon-Theme Standard
 - Implementation of the XDG-Shared MIME-info Database
 - Implementation of the XDG-Recent File Storage Specification

%description -l pl.UTF-8
PyXDG jest modułem języka Python, pozwalającym na wykorzystywanie
standardów freedesktop.org. Pakiet zawiera:

 - Implementację standardu XDG-Base-Directory
 - Implementację standardu XDG-Desktop
 - Implementację standardu XDG-Menu
 - Implementację standardu XDG-Icon-Theme
 - Implementację bazy XDG-Shared MIME-info
 - Implementację specyfikacji XDG-Recent File Storage

%package -n python3-pyxdg
Summary:	Python 3 implementations of freedesktop.org standards
Summary(pl.UTF-8):	Implementacje standardów freedesktop.org w języku Python 3
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-pyxdg
PyXDG is a Python module to access freedesktop.org standards. The
package contains:

 - Implementation of the XDG-Base-Directory Standard
 - Implementation of the XDG-Desktop Standard
 - Implementation of the XDG-Menu Standard
 - Implementation of the XDG-Icon-Theme Standard
 - Implementation of the XDG-Shared MIME-info Database
 - Implementation of the XDG-Recent File Storage Specification

%description -n python3-pyxdg -l pl.UTF-8
PyXDG jest modułem języka Python, pozwalającym na wykorzystywanie
standardów freedesktop.org. Pakiet zawiera:

 - Implementację standardu XDG-Base-Directory
 - Implementację standardu XDG-Desktop
 - Implementację standardu XDG-Menu
 - Implementację standardu XDG-Icon-Theme
 - Implementację bazy XDG-Shared MIME-info
 - Implementację specyfikacji XDG-Recent File Storage

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%{__python} setup.py build \
	--build-base build-2
%endif

%if %{with python3}
%{__python3} setup.py build \
	--build-base build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build \
		--build-base build-2 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build \
		--build-base build-3 \
	install \
		--optimize=2 \
		--root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{py_sitescriptdir}/xdg
%{py_sitescriptdir}/xdg/*.py[co]
%{py_sitescriptdir}/pyxdg-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyxdg
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%dir %{py3_sitescriptdir}/xdg
%{py3_sitescriptdir}/xdg/*.py
%{py3_sitescriptdir}/xdg/__pycache__
%{py3_sitescriptdir}/pyxdg-%{version}-py*.egg-info
%endif
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyxdg.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 876ebba
- python 3.4
- release 2 (by relup.sh)

* Sun Jul 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 0a86f25
- updated 0.25
- added python3 package

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> f842763
- release 2

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> e4ec6e2
- Up to 0.19

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 517cce9
- release 3

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> cb2046f
- release 2

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> 3e92722
- no egg in py2.4

* Sat Nov 01 2008 wrobell <wrobell@pld-linux.org> 832b30d
- ver. 0.17

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f0b1b1
- release 2

* Sat Sep 29 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 9d5d3a9
- release 1

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> e0e7044
- python >= 2.5 for egg-info
- Group fixed

* Tue Mar 20 2007 ankry <ankry@pld-linux.org> 1aafa18
- tabs

* Mon Mar 19 2007 beorn <beorn@pld-linux.org> e63c3a6
- Added missing BRs

* Mon Mar 19 2007 beorn <beorn@pld-linux.org> 16387b2
- Added py_postclean macro
- Byte compiling with optimize=2

* Mon Mar 19 2007 beorn <beorn@pld-linux.org> f7e7e0e
- Fixed UTF
- Summary and description extended

* Sun Mar 18 2007 czarny <czarny@pld-linux.org> cf1352f
- new
- seems to work
- the strange thing is, that it keeps it's file in /usr/share instead of /usr/lib

